aboutsummaryrefslogtreecommitdiffstats
path: root/testing/abcde/APKBUILD
diff options
context:
space:
mode:
authorPeter Bui <pnutzh4x0r@gmail.com>2014-10-24 11:28:54 -0500
committerNatanael Copa <ncopa@alpinelinux.org>2014-10-30 12:56:14 +0000
commit79c955c62f819413d3c82207c7f1a72d9096f4b8 (patch)
treeba18cbf39fbdf7305ea8797f8f41f1c3536c9366 /testing/abcde/APKBUILD
parentbd0fe1110188e650d805780093b3b719d8020e4d (diff)
downloadaports-79c955c62f819413d3c82207c7f1a72d9096f4b8.tar.gz
aports-79c955c62f819413d3c82207c7f1a72d9096f4b8.tar.bz2
aports-79c955c62f819413d3c82207c7f1a72d9096f4b8.tar.xz
testing/abcde: new aport
http://code.google.com/p/abcde/ A command line CD encoder that reads your CD, downloads the track information from a CDDB provider, and rips your CD
Diffstat (limited to 'testing/abcde/APKBUILD')
-rw-r--r--testing/abcde/APKBUILD58
1 files changed, 58 insertions, 0 deletions
diff --git a/testing/abcde/APKBUILD b/testing/abcde/APKBUILD
new file mode 100644
index 0000000000..2b91a28602
--- /dev/null
+++ b/testing/abcde/APKBUILD
@@ -0,0 +1,58 @@
+# Contributor: Peter Bui <pnutzh4x0r@gmail.com>
+# Maintainer:
+pkgname=abcde
+pkgver=2.5.4
+pkgrel=0
+pkgdesc="A command line CD encoder that reads your CD, downloads the track information from a CDDB provider, and rips your CD"
+url="http://code.google.com/p/abcde/"
+arch="noarch"
+license="GPL2"
+depends="bash cd-discid py-eyed3"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://abcde.googlecode.com/files/abcde-${pkgver}.tar.gz
+ busybox-wget.patch
+ fix-mp3-tagging.patch
+ python2-eyed3-0.7.0.patch
+ less.patch
+"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ sed -e "s:normalize-audio:normalize:g" -i ${pkgname}
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" PREFIX=/usr install || return 1
+}
+
+md5sums="d761c5a07854ce24748be9aa10100e74 abcde-2.5.4.tar.gz
+44ceee10cdb97ef840e335bfd8004b6c busybox-wget.patch
+ad7864e932a297fa30f33707ed26f7fc fix-mp3-tagging.patch
+2b11319047aa5a77df417c50b1acc639 python2-eyed3-0.7.0.patch
+fe74a159830f7166222e772bd0677dd8 less.patch"
+sha256sums="85b679b970e728a986487adcbff7c51eb0e72f9fa10c4450521f8e029fa6e591 abcde-2.5.4.tar.gz
+fb23ed7c4ae3f9ecdd4e6cdb06f4ac9788e35091b3cbc1b5999e40915f6a6ae2 busybox-wget.patch
+846268428d761e7faa6a4e0fb9587f2f94d3d5a266a6053fa8ce332cfc7d3cc0 fix-mp3-tagging.patch
+214d3349237ec00810183ffa74c9bf0225356050e6ca3d761a24a6cfbcd069ea python2-eyed3-0.7.0.patch
+2ca978abccef9dacdb62466d9a25bcbc85deff332d0b5edfddfec7b131c63052 less.patch"
+sha512sums="be3c8f697873b65888a37ea6209e161a6fc7bbe26c6e139b211b1fbcb233d3e250b21f6fad2114962ca4dcce79240e2cec51f69ce47549c737071a6122694791 abcde-2.5.4.tar.gz
+a7f5170a343f57699b3b22b5f5769bfeb356bd8f1bcaa7277e7c611dba3dd3dbf2e76f30c3b8cc8449601e87dd3f2da6c7e470a7cdb84feb50ac120a51fe90be busybox-wget.patch
+7e7b3658cf0934b973cd019701ec732003e0c8d3c75b9d40e7ee01f31d3e2fe9368bad06a00ec9cc5faec0a9202e2b7275eb0314d6fc6b6c24d2054fcfb9e699 fix-mp3-tagging.patch
+f8be34ae7fc91f7a0c594270eff40deb58fca7b18339e06bffb465c3e9309827dc063b7e03e00581a51837c30b2fc6a87bfa2108534d5b5777171c31d09aa907 python2-eyed3-0.7.0.patch
+fe89db2ac5eadd44e608a65c843bc35345d02cfc1b54fd10bf068c9a3b9ebf56b941051a008ae859f3979cd56f9eae904bb83ac73357d6dc89b8dcf2205c1c28 less.patch"